Subject: sane-hpaio not found by simple-scan?

From: Arne Babenhauserheide <[email-masked]>
Date: Sat, 04 Jan 2020 23:38:46 +0100

I have a scanner in HP Photosmart C3100 series. Using simple-scan I get
the information that I need to install the driver sane-hpaio.

But simple-scan has sane-backends as input for which the Guix source file
says "This variant links in the hpaio backend, provided by hplip".

So somehow simple-scan does not find ~/.guix-profile/lib/sane/hpaio.so.1
(which exists).

It actually works when I call it as follows:

LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:$HOME/.guix-profile/lib" simple-scan

But this cannot be the proper solution.

Best wishes,
Arne
-- 
Unpolitisch sein
heißt politisch sein
ohne es zu merken